<?php

class ControllerShippingFreteacombinar extends Controller {
	private $error = array();

	public function index() {
		$this->load->language('shipping/freteacombinar');
		$this->document->setTitle($this->language->get('heading_title'));
		$this->load->model('setting/setting');
		$this->load->type('tipocomum');
		$this->load->helper('ftr_geral');

		$this->data['ftr_geral'] = new ftr_geral();
		
		$this->data['Type_Status'] = $this->load->typeForTwig('Type_Status');

		if (($this->request->server['REQUEST_METHOD'] == 'POST') && $this->validate()) {
            $this->model_setting_setting->editSetting('freteacombinar', $this->request->post);
			$this->session->data['success'] = $this->language->get('text_success');
			$this->redirect($this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'));
		}

		$this->data['heading_title']     = $this->language->get('heading_title');
		$this->data['text_yes']          = $this->language->get('text_yes');
		$this->data['text_no']           = $this->language->get('text_no');
		$this->data['button_save']       = $this->language->get('button_save');
		$this->data['button_cancel']     = $this->language->get('button_cancel');
		$this->data['text_entrgnome']    = $this->language->get('text_entrgnome');
		$this->data['text_status']       = $this->language->get('text_status');
		$this->data['text_ordem']        = $this->language->get('text_ordem');
		$this->data['text_disabled']     = $this->language->get('text_disabled');
		$this->data['text_enabled']      = $this->language->get('text_enabled');

 		if (isset($this->error['warning'])) {
			$this->data['error_warning'] = $this->error['warning'];
		} else {
			$this->data['error_warning'] = '';
		}

 		if (isset($this->error['freteacombinar_titulo'])) {
			$this->data['error_freteacombinar_titulo'] = $this->error['freteacombinar_titulo'];
		} else {
			$this->data['error_freteacombinar_titulo'] = '';
		}

		  $this->data['breadcrumbs'] = array();

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_home'),
					'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
      		'separator' => false
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('text_shipping'),
					'href'      => $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL'),
      		'separator' => ' :: '
   		);

   		$this->data['breadcrumbs'][] = array(
       		'text'      => $this->language->get('heading_title'),
					'href'      => $this->url->link('shipping/freteacombinar', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL'),
      		'separator' => ' :: '
   		);

		$this->data['action'] = $this->url->link('shipping/freteacombinar', 'token=' . $this->session->data['token'] . '&type=' . $this->request->get['type'], 'SSL');
		$this->data['cancel'] = $this->url->linkAnchor('extension/module', 'token=' . $this->session->data['token'], 'tab-info=' . $this->request->get['type'], 'SSL');

		if (isset($this->request->post['freteacombinar_titulo'])) {
			$this->data['freteacombinar_titulo'] = $this->request->post['freteacombinar_titulo'];
		} else {
			$this->data['freteacombinar_titulo'] = $this->config->get('freteacombinar_titulo');
		}

		if (isset($this->request->post['freteacombinar_sort_order'])) {
			$this->data['freteacombinar_sort_order'] = $this->request->post['freteacombinar_sort_order'];
		} else {
			$this->data['freteacombinar_sort_order'] = $this->config->get('freteacombinar_sort_order');
		}

		if (isset($this->request->post['freteacombinar_status'])) {
			$this->data['freteacombinar_status'] = $this->request->post['freteacombinar_status'];
		} else {
			$this->data['freteacombinar_status'] = $this->config->get('freteacombinar_status');
		}

		$this->children = array(
			'common/header',
			'common/footer'
		);

		$this->response->setOutput($this->render('shipping/freteacombinar'));
	}

	private function validate() {
		if (!$this->user->hasPermission('modify', 'shipping/freteacombinar')) {
			$this->error['warning'] = $this->language->get('error_permission');
		}

        if (strlen($this->request->post['freteacombinar_titulo']) == ''){
			$this->error['freteacombinar_titulo'] = $this->language->get('error_freteacombinar_titulo');
        }

		if (!$this->error) {
			return true;
		} else {
			return false;
		}
	}

}
